
Name:             javancss-maven-plugin
Version:          2.0
Release:          %mkrel 1
Summary:          Maven2 plugin generating NCSS and CCN code metrics
Group:            Development/Java
License:          ASL 2.0
Url:              http://mojo.codehaus.org/javancss-maven-plugin/
# svn export https://svn.codehaus.org/mojo/tags/javancss-maven-plugin-2.0
# tar czf javancss-maven-plugin-2.0-src-svn.tar.gz javancss-maven-plugin-2.0
Source0:          javancss-maven-plugin-2.0-src-svn.tar.gz
# maven-doxia patches
Patch0:           javancss-maven-plugin-2.0-AbstractNcssReportGenerator.patch
Patch1:           javancss-maven-plugin-2.0-NcssAggregateReportGenerator.patch
Patch2:           javancss-maven-plugin-2.0-NcssReportGenerator.patch
Patch3:           javancss-maven-plugin-2.0-NcssReportMojo.patch
Patch4:           javancss-maven-plugin-2.0-pom.patch

BuildRequires:    bsf
BuildRequires:    servletapi5

BuildRequires:    dom4j
BuildRequires:    easymock
BuildRequires:    javahelp2
BuildRequires:    javancss
BuildRequires:    jaxen
BuildRequires:    junit
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-doxia
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-shared-reporting-api 
BuildRequires:    maven-shared-reporting-impl 
BuildRequires:    maven-plugin-cobertura

BuildRequires:    mojo-parent
BuildRequires:    plexus-utils
Requires:         javancss
Requires:         maven-shared-reporting-impl
Requires:         jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         java
BuildArch:        noarch

%description
This plugin provides the capability to run the
JavaNCSS tool on your Maven 2 project sources and
produce an html report. Optionally you can fail the
build whenever one of the metrics goes beyond a
fixed limit.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Maven2 plugin generating NCSS and CCN code metrics.

This package contains javadoc for %{name}.

%prep
%setup -q -n javancss-maven-plugin-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=javancss \
  -DartifactId=jhbasic \
  -Dversion=29.50 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath javahelp2) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=bsf \
  -DartifactId=bsf \
  -Dversion=2.3.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsf) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=javax.servlet \
  -DartifactId=servlet-api \
  -Dversion=2.4 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath servletapi5) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  -e \
  -Dmaven.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
   install javadoc:aggregate
   
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/javancss-maven-plugin-%{version}.jar %{buildroot}%{_javadir}/javancss-maven-plugin.jar

%add_to_maven_depmap org.codehaus.mojo javancss-maven-plugin %{version} JPP javancss-maven-plugin
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-javancss-maven-plugin.pom

install -d -m 0755 %{buildroot}%{_javadocdir}/javancss-maven-plugin
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/javancss-maven-plugin/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENCE.txt

%files javadoc
%{_javadocdir}/javancss-maven-plugin



%changelog

* Mon Oct 31 2011 gil <gil> 2.0-1.mga2
+ Revision: 160414
- imported package javancss-maven-plugin


* Fri Jul 15 2011 gil <gil> 2.0-0.%%mkrel
- initial rpm

